| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csTriangleLODAlgoEdge Class Reference
[Geometry utilities]

This subclass of csTriangleLODAlgo uses a very simple cost metric to calculate the vertex cost. More...

`#include <csgeom/trimeshlod.h>`

Inheritance diagram for csTriangleLODAlgoEdge:

[legend]
List of all members.

## Public Member Functions
virtual void | CalculateCost (csTriangleVerticesCost *vertices, csTriangleVertexCost *vertex)
| Calculate the minimal cost of collapsing this vertex to some other.
virtual | ~csTriangleLODAlgoEdge ()

## Detailed Description

This subclass of csTriangleLODAlgo uses a very simple cost metric to calculate the vertex cost.

It will basically just consider the length of the edge.

Definition at line 82 of file trimeshlod.h.

## Member Function Documentation

virtual void csTriangleLODAlgoEdge::CalculateCost | ( | csTriangleVerticesCost * | vertices,
|  | csTriangleVertexCost * | vertex |
| ) |  |  | `[virtual]`

Calculate the minimal cost of collapsing this vertex to some other.

Also remember which other vertex was selected for collapsing to.

Implements csTriangleLODAlgo.

The documentation for this class was generated from the following file:

- csgeom/trimeshlod.h